> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts/layouts_editor_editing_tools.md).

# Editing Tools

Xibo has a variety of editing tools to assist Users when using the Layout Editor to build and create designs to show on Displays.

## How-to Video Editing Tools

{% embed url="<https://youtu.be/U2-40TCbSqs>" %}

## Rectangle Selector

Multiple items can be moved together to maintain alignment in a block by using the **Rectangle Selector** tool:

1. Click on the canvas background
2. Hold and drag over the area you want to select to create an outline
3. Ensure that all items to be moved together are contained
4. Drag all items to position on the canvas
5. Once in position, click outside to exit the rectangle selector

## Grouping Elements

Make it easier to build designs in the Layout Editor by **Grouping Elements** together:

* Add Elements to the canvas

When grouping Data Elements, they must be of the same Data Widget type (all Weather Elements for example) and share the same Data Slot and Effect.

* Position and style each Element using the **Appearance** tab
* Holding down the shift key, click in each **Element** to select to group together
* Once selected, release the shift key and right click
* From the menu, select **Group elements**

The group can now be moved around the canvas to re-position and re-size.

{% hint style="success" %}
Grouped Elements can be easily duplicated using the Context Menu!
{% endhint %}

* To make further edits to individual Elements whilst grouped, click the **Edit Group** icon in the top right corner of the group.
* Click in an Element to make changes in the Properties Panel.
* Select **X** to exit editing the group.

To **Ungroup**, use the Context Menu.

## Layer Manager

View and manage the layer and durations of all items added to the Layout using the **Layer Manager** located at the bottom left of the Layout Editor:

* Use this list to drag and drop the order to show items in front or behind other content.
* Alternatively right click a selected item to use the **Send/Bring** options from the **Context Menu**.

Elements have their own Canvas Layer which can be used to determine where they appear in relation to other natively rendered Elements such as Playlists and Videos.

## Context Menu

Right click items that have been added to a Layout or Playlist to select from a menu of further options (relevant to the selected item).

When clicking on a **Widget**, further options are available, shown under the Widget name/type.

## Options Menu

Use to show/hide **Tooltips** as well as provide a **Delete confirmation** warning for all items added to the Layout.

From here select to **Clear Canvas** to start your design over or **New** to create a brand new Layout.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

{% content-ref url="/pages/pSESDYbFR7grwuhFKYlm" %}
[Global Elements](/layouts/layouts_editor_global_elements.md)
{% endcontent-ref %}

## FAQs

***Why can't I group a Currency Element with a Menu Board Element?***

Data Elements must be of the same Data Widget type in order to group. They must also share the same Data Slot and any set Effects!

***Can Global Elements be grouped with Data Elements?***

Yes, including Global Elements in groups is a great way to easily compliment Data Elements by adding text, shapes and lines!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts/layouts_editor_editing_tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
